<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class mb_pro_Controller extends Controller
{
    public $selfName = 'mb_pro_Controller';
    public $dashboardName = 'dashboard';

	// GET /mb_pro
	public function index(Request $request) {
		$records = DB::table('mb_pro')->get();
		return response()->view('admin/mb_pro/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /mb_pro/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/mb_pro/view/$uid/SUB_dashboard");
	}
}
